Session Drop - User login dropped

Bug #882593 reported by edhelas on 2011-10-27
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Movim
Fix Released
High
Etenil

Bug Description

Session variables in the User class are deleted for no reason after a while.

[27-Oct-2011 15:41:09] PHP Fatal error: Uncaught 0 - Error: User not logged in.<br />
  thrown in /var/www/next/system/Jabber.php on line 107
[27-Oct-2011 15:41:09] PHP Fatal error: Uncaught 0 - Error: User not logged in.<br />
  thrown in /var/www/next/system/Jabber.php on line 107
[27-Oct-2011 15:41:09] PHP Fatal error: Uncaught 0 - Error: User not logged in.<br />
  thrown in /var/www/next/system/Jabber.php on line 107
[27-Oct-2011 15:41:09] PHP Fatal error: Uncaught 0 - Error: User not logged in.<br />
  thrown in /var/www/next/system/Jabber.php on line 107
[27-Oct-2011 15:41:09] PHP Fatal error: Uncaught 0 - Error: User not logged in.<br />
  thrown in /var/www/next/system/Jabber.php on line 107

edhelas (edhelas) on 2011-10-27
Changed in movim:
assignee: nobody → edhelas (edhelas)
importance: Undecided → High
status: New → Confirmed
Etenil (etenil) on 2012-02-06
Changed in movim:
assignee: edhelas (edhelas) → Etenil (etenil)
Etenil (etenil) on 2012-02-07
Changed in movim:
milestone: none → 0.5
milestone: 0.5 → none
milestone: none → 0.4
milestone: 0.4 → none
milestone: none → 0.4.1
Etenil (etenil) wrote :
Download full text (19.8 KiB)

Some more info about it (firefox console log):

[11:53:04.112] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 295ms]
[11:53:04.122] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 292ms]
[11:53:04.424] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 296ms]
[11:53:04.434] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 294ms]
[11:53:04.737] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 300ms]
[11:53:04.747] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 297ms]
[11:53:05.057] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 306ms]
[11:53:05.067] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 309ms]
[11:53:05.386] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 294ms]
[11:53:05.396] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 296ms]
[11:53:05.699] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 308ms]
[11:53:05.709] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 305ms]
[11:53:06.023] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 298ms]
[11:53:06.033] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 298ms]
[11:53:06.331] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 338ms]
[11:53:06.342] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 343ms]
[11:53:06.691] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 287ms]
[11:53:06.702] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 293ms]
[11:53:06.997] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 398ms]
[11:53:07.008] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 403ms]
[11:53:07.417] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 395ms]
[11:53:07.429] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 396ms]
[11:53:07.833] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 401ms]
[11:53:07.843] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 406ms]
[11:53:08.247] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 421ms]
[11:53:08.258] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 422ms]
[11:53:08.691] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 410ms]
[11:53:08.702] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 411ms]
[11:53:09.119] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 402ms]
[11:53:09.128] GET https://movim.etenil.net/index.php?q=disconnect&err=internal [undefined 406ms]
[11:53:09.540] GET https://movim.etenil.net/jajax.php?do=poll [HTTP/1.0 500 Internal Server Error 404ms]
[1...

Etenil (etenil) wrote :

Sorry for flooding. See attachment. Won't happen again.

Etenil (etenil) wrote :

This one is the corresponding log for PHP.

Etenil (etenil) wrote :

I've commited a possible fix that properly closes the database connections after each request handling.

My rationale here is that MySQL connections stacked up until they reached the maximum authorized (around 300 I think), and thus Movim couldn't connect anymore and dropped the session.

Etenil (etenil) wrote :

I've increased the Session cookie timeout to 1 full day (24 hours). The previous timeout was 1 hour. This seems consistent with the time it took for the problem to happen. More testing needed before closing this bug though.

Changed in movim:
status: Confirmed → In Progress
Etenil (etenil) on 2012-02-22
Changed in movim:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers